Bug 96285 - Mesa build broken
Summary: Mesa build broken
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: Emil Velikov
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-31 03:37 UTC by Mark Janes
Modified: 2016-06-01 15:05 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-05-31 03:37:32 UTC
./anv_entrypoints.h:164:73: error: unknown type name ‘VkWaylandSurfaceCreateInfoKHR’

You need to make clean to see this build failure.

./autogen.sh --enable-gbm --with-egl-platforms=x11,drm,surfaceless --enable-glx-tls --enable-gles1 --enable-gles2 --with-dri-drivers=i965,swrast,i915 --disable-xvmc --disable-vdpau --without-gallium-drivers --with-vulkan-drivers=intel --enable-debug
Comment 1 Mark Janes 2016-05-31 03:39:56 UTC
bisected to 220d8c9

anv: automake: bring back VULKAN_ENTRYPOINT_CPPFLAGS

We should not have removed them in the first place. There's a subtle
difference between generating the complete sources and using them which
was not obvious as we nuked them.

Without this, the release tarball ends up without various hunks of the
generated sources, thus things fail at a later stage as we attempt to
build them.

Signed-off-by: Emil Velikov <emil.velikov@collabora.com>
Reviewed-by: Jason Ekstrand <jason@jlekstrand.net>
Comment 2 Emil Velikov 2016-05-31 14:16:02 UTC
Seems like there was a glitch in the python script as it was generating code without the proper ifdef guards. Afaics the following fixes it.

https://patchwork.freedesktop.org/patch/90449/
Comment 3 Emil Velikov 2016-06-01 15:05:36 UTC
The patch was pushed yesterday. Please reopen if it doesn't fixes the issue on your end.


bug/show.html.tmpl processed on Feb 24, 2017 at 01:44:00.
(provided by the Example extension).